# $Revision: 1.33 $, $Date: 2004/05/07 00:40:54 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	News::NNTPClient perl module
Summary(pl):	Modu perla News::NNTPClient
Name:		perl-News-NNTPClient
Version:	0.37
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/News/NNTPClient-%{version}.tar.gz
# Source0-md5:	1b0257d13f38d2b71bb85d5ac76f5fd1
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
Obsoletes:	perl-NNTPClient
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
News::NNTPClient - a client interface to NNTP.

%description -l pl
News::NNTPClient - interfejs klienta NNTP.

%prep
%setup -q -n NNTPClient-%{version}
%patch -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/News/NNTPClient.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-News-NNTPClient.spec,v $
Revision 1.33  2004/05/07 00:40:54  ankry
- rel. 7

Revision 1.32  2004/05/06 18:20:49  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/26 23:05:37  ankry
- added tests, license fixes

Revision 1.30  2004/01/25 23:44:30  undefine
- release 6 for AC

Revision 1.29  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:22:03  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:30  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:34  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 21:06:24  marcus
- rel.4.

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:31:30  depesz
adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/17 12:13:58  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/03/29 07:53:52  mis
- autoupdated to 0.37

Revision 1.10  2001/01/22 19:43:09  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.9  2001/01/13 01:28:48  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:43  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:45  pius
- updated to 0.36

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
